Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 08/04/2013, à 21:21

lemoineo

[Résolu] rooter son Ipad ? evasi0n ?

Bonjour, comme sur Linux ou Android, j'aimerais utiliser l'Ipad qu'on a offert à mon épouse et
au moins lui copier des vidéos sans qu'elle soit obligé de passer par I-tunes ...
J'ai trouvé evasi0n (avec un zéro) ... qui semble pouvoir répondre à cette question
il existe même une version Linux !! Formidable ...
Hélas, que ce soit via Nautilus ou via Terminal, rien n'est lancé
même un
> bash evasi0n
ne réagit pas ...

Ah si, un message ou il manquerait une libssl ...
./evasi0n.x86: error while loading shared libraries: libssl.so.0.9.8: cannot open shared object file: No such file or directory
Je fouille ...
Ca y est,
en fait la version sur mon Ubuntu (12.10) est libssl1.0.1 et celle nécessaire pour evasi0n est libssl0.9.8
ensuite, le bash evasi0n fonctionne sans problème et mon ipad (oups, celui de mon épouse)  est jailbreaké ! comme Ubuntu !!

Non mais !


Olivier

Dernière modification par lemoineo (Le 08/04/2013, à 22:05)


mon boulot : développeur PHP ?
mes galeries : http://lemoineo.free.fr
Utilisateur Linux dans mes loisirs
le Kitesurf me permet de décrocher du PC !

Hors ligne

#2 Le 09/04/2013, à 00:49

nexus66

Re : [Résolu] rooter son Ipad ? evasi0n ?

Salut.
Selon mon faible niveau dans le domaine d'Iphone et selon,aussi, mes vagues expériences de réparations des iphone/Ipad (vu que je répare des trucs de temps en temps) , Je peux t'aider sur plusieurs points.
le logiciel Evasi0n est une nouvelle tendance que le célèbre site de Jaiblreak/débridage Lime1rain a mis sur internet.
Tout d'abord, tu dois comprendre que le Jaiblreak ne fait que te donner les privilèges d'être le maître de ton Iphone/Ipad/Ipod (Être le super utilisateur /administrateur et déverrouiller toutes les fonctionnalités du système d'exploitation) et te permet d'ouvrir un terminal et taper des commandes (ou bien avec les Tweaks que tu peux les installer via Cydia qui est un Apple Store alternatif).
Le jailbreak est différent d'un ihpone/Ipad/Ipod à un autre en fonction de l'appareil et en fonction de l'IOS (Iphone Operating System) et dépend de ta version de bande de base. Tu peux consulter ce lien qui t'expliquera encore plus le concept et comment aborder les machines Apple (Comment choisir le bon logiciel pour faire le Jailbreak) : IOS Jailbreaking

Depuis quelques semaines j'ai voulu , tout comme toi, installer LibSSL 0.9.8 sur mon ubuntu 10.04, mais hélas j'ai pas pu le faire.Cependant, maintenant sur ma 12.04 , j'ai trouvé trois solutions (Disons 4 solutions) pour installer LibSSL 0.9.8.
J'espère qu'elles t'aideront. Voilà :

1- Entres dans ce site : http://www.openssl.org/  et installes une version avec moins de bugs (ou la version maintenue et corrigée). À noter qu'OpenSSL est une boite à outils de chiffrement comportant deux bibliothèques (une de cryptographie générale et une implémentant le protocole SSL), ainsi qu'une commande en ligne. (Tu peux créer une connection entre ton PC et ta machine Apple via cet outil.Tu peux aussi chercher sur google pour avoir une idée plus claire sur l'affaire, sinon passe aux autres solutions).
2-Installe le paquet .DEB via ce lien (En faisant une petite recherche) : http://packages.ubuntu.com/
Ou bien, voilà les résultats des recherches sur plusieurs distributions d'Ubuntu :
* Ubuntu 11.04 (Natty) : LibSSL 0.9.8 - http://packages.ubuntu.com/natty/libssl0.9.8
* Ubuntu 11.10 (Oneiric) : LibSSL 0.9.8 - http://packages.ubuntu.com/oneiric/libssl0.9.8
* Ubuntu 11.10 (Oneiric) :  LibSSL 1.0.0 - http://packages.ubuntu.com/oneiric/libssl1.0.0
* Ubuntu 12.04 (Precise) : LibSSL 1.0.0 - http://packages.ubuntu.com/precise/libssl1.0.0

3- Tu peux aller dans le site des paquets Debian (Debian Packages) et chercher le paquet Debian désiré.
J'ai fais la recherche et je l'ai trouvé :
* LibSSL 0.9.8 - http://packages.debian.org/squeeze/libssl0.9.8

4- Ou bien via apt-get ou aptitude, en suivant ces commandes dans un terminal :
- Pour la version 0.9.8 :

sudo apt-get install libssl0.9.8  

- Pour la version 0.9.8 :

sudo aptitude install libssl0.9.8  

- Pour la version  1.0.0 :

sudo apt-get install libssl1.0.0  


Enfin, j'espère que tout se passera bien chez toi smile
Bonne soirée.

Dernière modification par nexus66 (Le 09/04/2013, à 01:16)


Un jour on vivra dans un monde libre sans argent et sans banques.
Tout le monde s'adhérera à l'Open Source et le partage sera la devise de toute personne.

Hors ligne

Haut de page ↑